Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155012 - Problem compiling tora on rawhide
Summary: Problem compiling tora on rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 17:56 UTC by Mihai Ibanescu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-24 12:20:11 UTC


Attachments (Terms of Use)
Preprocessed source (deleted)
2005-04-15 17:56 UTC, Mihai Ibanescu
no flags Details

Description Mihai Ibanescu 2005-04-15 17:56:11 UTC
otlv4.h: In member function âvoid otl_stream::create_var_desc()â:
otlv4.h:13562: internal compiler error: in cp_tree_equal, at cp/tree.c:1552

To reproduce, grab the .src.rpm for tora (may not be in core but in extras now)
- 1.3.15, and try to recompile it.

Attached preprocessed source too.

rpm -q gcc
gcc-4.0.0-0.42

System is an amd64 machine.

Comment 1 Mihai Ibanescu 2005-04-15 17:56:13 UTC
Created attachment 113237 [details]
Preprocessed source

Comment 2 Jakub Jelinek 2005-04-15 22:42:16 UTC
This is already fixed on gcc-4_0-branch, see
http://gcc.gnu.org/ml/gcc-cvs/2005-04/msg00766.html
So it will be fixed in next set of gcc 4.0.0 rpms.

Comment 3 Jakub Jelinek 2005-04-24 12:20:11 UTC
Should be fixed in gcc-c++-4.0.0-1.


Note You need to log in before you can comment on or make changes to this bug.